> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://okx-demo.ferndocs.com/api/api-reference/public-data/get-funding-rate-history/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server. # Get funding rate history GET https://www.okx.com/api/v5/public/funding-rate-history Retrieve the funding rate history for a perpetual swap. Only records that occurred within the last 3 months are available. Reference: https://okx-demo.ferndocs.com/api/api-reference/public-data/get-funding-rate-history ## Request ### Query parameters - `instId` (string, required) — Instrument ID, e.g. BTC-USD-SWAP. Only applicable to SWAP. - `after` (string, optional) — Pagination of data to return records earlier than the requested fundingTime, Unix timestamp in milliseconds. - `before` (string, optional) — Pagination of data to return records newer than the requested fundingTime, Unix timestamp in milliseconds. - `limit` (string, optional) — Number of results per request. The maximum is 100; the default is 100. ## Response ### 200 Successful response - `code` (string, optional) — Result code. `0` means success; any other value is an error code. - `msg` (string, optional) — Error message. Empty on success. - `data` (list of ApiV5PublicFundingRateHistoryGetResponsesContentApplicationJsonSchemaDataItems, optional) ## Types ### ApiV5PublicFundingRateHistoryGetResponsesContentApplicationJsonSchemaDataItems - `instType` (string, optional) — Instrument type, SWAP. - `instId` (string, optional) — Instrument ID, e.g. BTC-USD-SWAP. - `fundingRate` (string, optional) — Predicted funding rate. - `realizedRate` (string, optional) — Actual funding rate that was settled. - `fundingTime` (string, optional) — Settlement time, Unix timestamp in milliseconds. - `method` (string, optional) — Funding rate mechanism: current_period or next_period. - `formulaType` (string, optional) — Formula type: noRate (old) or withRate (new). ## Examples **Response** ```json { "code": "0", "msg": "", "data": [ { "instType": "SWAP", "instId": "BTC-USD-SWAP", "fundingRate": "0.0000746604960499", "realizedRate": "0.0000746572360545", "fundingTime": "1703059200000", "method": "next_period", "formulaType": "noRate" }, { "instType": "SWAP", "instId": "BTC-USD-SWAP", "fundingRate": "0.000227985782722", "realizedRate": "0.0002279755647389", "fundingTime": "1703030400000", "method": "next_period", "formulaType": "noRate" } ] } ``` **SDK Code** ```python publicData_getFundingRateHistory_example import requests url = "https://www.okx.com/api/v5/public/funding-rate-history" querystring = {"instId":"BTC-USD-SWAP"} response = requests.get(url, params=querystring) print(response.json()) ``` ```javascript publicData_getFundingRateHistory_example const url = 'https://www.okx.com/api/v5/public/funding-rate-history?instId=BTC-USD-SWAP'; const options = {method: 'GET'}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go publicData_getFundingRateHistory_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://www.okx.com/api/v5/public/funding-rate-history?instId=BTC-USD-SWAP" req, _ := http.NewRequest("GET", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby publicData_getFundingRateHistory_example require 'uri' require 'net/http' url = URI("https://www.okx.com/api/v5/public/funding-rate-history?instId=BTC-USD-SWAP") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) response = http.request(request) puts response.read_body ``` ```java publicData_getFundingRateHistory_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://www.okx.com/api/v5/public/funding-rate-history?instId=BTC-USD-SWAP") .asString(); ``` ```php publicData_getFundingRateHistory_example request('GET', 'https://www.okx.com/api/v5/public/funding-rate-history?instId=BTC-USD-SWAP'); echo $response->getBody(); ``` ```csharp publicData_getFundingRateHistory_example using RestSharp; var client = new RestClient("https://www.okx.com/api/v5/public/funding-rate-history?instId=BTC-USD-SWAP"); var request = new RestRequest(Method.GET); IRestResponse response = client.Execute(request); ``` ```swift publicData_getFundingRateHistory_example import Foundation let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/public/funding-rate-history?instId=BTC-USD-SWAP")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```